<?php
defined('TYPO3') || die();

(static function() {
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'IgCrmTimeRecording',
        'Api',
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\ApiController::class => 'add, list, info',
        ],
        // non-cacheable actions
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\ApiController::class => 'add, list, info',
        ]
    );
    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'IgCrmTimeRecording',
        'Public',
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\TimeController::class => 'public',
        ],
        // non-cacheable actions
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\TimeController::class => 'public',
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'IgCrmTimeRecording',
        'Tracking',
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\TimeController::class => 'tracker, add',
        ],
        // non-cacheable actions
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\TimeController::class => 'tracker, add',
        ]
    );


    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'IgCrmTimeRecording',
        'Manage',
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\TimeController::class => 'list, show, new, create, edit, update, confirmDelete, delete, timeOff, add, overview, pdf, month',
            \Internetgalerie\IgCrmTimeRecording\Controller\ActivityController::class => 'list, new, create, edit, update, confirmDelete, delete',
            \Internetgalerie\IgCrmTimeRecording\Controller\HolidayController::class => 'list, new, create, edit, update, delete, targetTimes',
            \Internetgalerie\IgCrmTimeRecording\Controller\EmployeeController::class => 'list, show, new, create, edit, update, confirmDelete, delete,wageStatement,monthlyTimeRecording, analytics'
        ],
        // non-cacheable actions
        [
            \Internetgalerie\IgCrmTimeRecording\Controller\TimeController::class => 'list, show, new, create, edit, update, confirmDelete, delete, timeOff, add, overview, pdf, month',
            \Internetgalerie\IgCrmTimeRecording\Controller\ActivityController::class => 'list, new, create, edit, update, confirmDelete, delete',
            \Internetgalerie\IgCrmTimeRecording\Controller\HolidayController::class => 'list, new, create, edit, update, delete, targetTimes',
            \Internetgalerie\IgCrmTimeRecording\Controller\EmployeeController::class => 'list, show, new, create, edit, update, confirmDelete, delete, wageStatement,monthlyTimeRecording, analytics'
        ]
    );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    tracking {
                        iconIdentifier = ig_crm_time_recording-plugin-tracking
                        title = LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_ig_crm_time_recording_tracking.name
                        description = LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_ig_crm_time_recording_tracking.description
                        tt_content_defValues {
                            CType = list
                            list_type = igcrmtimerecording_tracking
                        }
                    }
                    manage {
                        iconIdentifier = ig_crm_time_recording-plugin-manage
                        title = LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_ig_crm_time_recording_manage.name
                        description = LLL:EXT:ig_crm_time_recording/Resources/Private/Language/locallang_db.xlf:tx_ig_crm_time_recording_manage.description
                        tt_content_defValues {
                            CType = list
                            list_type = igcrmtimerecording_manage
                        }
                    }
                }
                show = *
            }
       }'
    );
})();
